<%@ page contentType="text/html;charset=UTF-8" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML+RDFa 1.0//EN" "http://www.w3.org/MarkUp/DTD/xhtml-rdfa-1.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:og="http://opengraphprotocol.org/schema/"
        xmlns:fb="http://www.facebook.com/2008/fbml">
<head>
    <link rel="stylesheet" href="${resource(dir: 'css', file: 'umbra.css')}"/>
    <link rel="stylesheet" href="${resource(dir: 'css/fancybox', file: 'jquery.fancybox-1.3.3.css')}"/>
    <g:javascript library="jquery" plugin="jquery"/>
    <g:javascript library="fancybox/jquery.fancybox-1.3.3.pack"/>
    <g:javascript library="umbra"/>
    <g:if env="production"><script src="http://connect.facebook.net/en_US/all.js#xfbml=1" type="text/javascript"></script></g:if>
    <meta property="og:site_name" content="${grailsApplication.config.umbra.og.site_name}"/>
    <meta property="og:image" content="${resource(dir: 'images', file: '3f-logo.png', absolute: true)}"/>
    <meta property="fb:admins" content="${grailsApplication.config.umbra.facebook.userId}"/>
    <link href="/feed" type="application/atom+xml" rel="alternate" title="3F ATOM RSS feed" />
    <g:layoutHead/>
    <g:if env="production">
        <script type="text/javascript">
            var _gaq = _gaq || [];
            _gaq.push(['_setAccount', '${grailsApplication.config.umbra.google.analytics.account}']);
            _gaq.push(['_trackPageview']);

            (function() {
                var ga = document.createElement('script');
                ga.type = 'text/javascript';
                ga.async = true;
                ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
                var s = document.getElementsByTagName('script')[0];
                s.parentNode.insertBefore(ga, s);
            })();
        </script>
    </g:if>
    <title><g:layoutTitle default="${grailsApplication.config.umbra.title}"/></title>
</head>
<body>
    <div id="page">
        <div id="header">
            <h1><a href="${createLink(uri: "/")}">3F</a></h1>
            ${grailsApplication.config.umbra.description}
        </div>
        <div id="main">
            <g:layoutBody/>
        </div>
        <div id="sidebar">
            <umbra:people person="${params?.person}"/>
        </div>
        <div id="footer">
            <small>Powered by ${grailsApplication.metadata['app.name']} ${grailsApplication.metadata['app.version']} on <a href="http://www.grails.org/" target="_blank" title="GRAILS - opensource web development platform">grails ${grailsApplication.metadata['app.grails.version']}</a></small><br/>
        &copy; 2010 <a href="http://marcin.floryan.pl" target="_blank">Marcin Floryan</a> &amp; Małgorzata Floryan.<br/>
            <span class="license">
                All content of this site is licenced under a <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/" rel="license">Creative Commons Licence</a>.<br/>
                <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/" rel="license">
                    <img src="${resource(dir: 'images', file: 'cc-by-nc-sa-3-80x15.png')}" alt="Creative Commons License" title="Attribution-NonCommercial-ShareAlike 3.0"/>
                </a>
            </span>
        </div>
    </div>
</body>
</html>